{
  "name": "@multiprova/editor",
  "version": "1.4.0",
  "main": "lib/index.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/tapioca-ufrn/multiprova/editor.git"
  },
  "dependencies": {
    "@babel/runtime": "7.2.0",
    "@material-ui/core": "^4.11.0",
    "@material-ui/icons": "^4.11.3",
    "@material-ui/lab": "4.0.0-alpha.61",
    "@material-ui/styles": "^4.10.0",
    "@tapioca/multiprova-mathquill": "^1.0.0",
    "classnames": "2.2.6",
    "is-url": "^1.2.4",
    "re-resizable": "4.11.0",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "react-katex": "2.0.2",
    "react-redux": "6.0.0",
    "react-resize-listener": "^0.3.6",
    "react-swipeable-views": "0.13.0",
    "redux": "4.0.1",
    "redux-mock-store": "1.5.3",
    "redux-responsive": "4.3.8",
    "slate": "^0.93.0",
    "slate-history": "^0.93.0",
    "slate-hyperscript": "^0.77.0",
    "slate-react": "^0.93.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.12.13",
    "@babel/core": "^7.12.13",
    "@babel/eslint-parser": "^7.12.1",
    "@babel/plugin-proposal-class-properties": "^7.12.13",
    "@babel/plugin-transform-runtime": "^7.12.17",
    "@babel/preset-env": "^7.12.13",
    "@babel/preset-react": "^7.14.5",
    "@commitlint/cli": "^11.0.0",
    "@commitlint/config-conventional": "^11.0.0",
    "@semantic-release/changelog": "^5.0.1",
    "@semantic-release/commit-analyzer": "^8.0.1",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.0.8",
    "@semantic-release/npm": "^7.0.9",
    "@semantic-release/release-notes-generator": "^9.0.1",
    "babel-eslint": "10.0.1",
    "babel-jest": "23.6.0",
    "coveralls": "^3.1.0",
    "enzyme": "3.8.0",
    "enzyme-adapter-react-16": "1.7.1",
    "eslint": "^7.16.0",
    "eslint-config-prettier": "^7.1.0",
    "eslint-config-react-app": "7.0.0-next.91",
    "eslint-plugin-flowtype": "^5.10.0",
    "eslint-plugin-import": "^2.24.1",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-react": "^7.24.0",
    "husky": "^4.3.6",
    "jest": "23.6.0"
  },
  "scripts": {
    "build": "babel src --out-dir lib/ --copy-files",
    "lint": "eslint \"./**/*.{js,jsx}\""
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,mjs}",
      "!src/**/index.{js,jsx,mjs}",
      "!src/**/redux.{js,jsx,mjs}",
      "!src/**/propTypes.{js,jsx,mjs}",
      "!src/**/style.{js,jsx,mjs}"
    ],
    "setupFiles": [
      "<rootDir>/config/polyfills.js"
    ],
    "testMatch": [
      "<rootDir>/src/**/__tests__/*.{js,jsx,mjs}",
      "<rootDir>/src/**/?(*.)(spec|test).{js,jsx,mjs}"
    ],
    "testEnvironment": "jsdom",
    "testURL": "http://localhost",
    "transform": {
      "^.+\\.(js|jsx|mjs)$": "<rootDir>/node_modules/babel-jest",
      "^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
      "^(?!.*\\.(js|jsx|mjs|css|json)$)": "<rootDir>/config/jest/fileTransform.js"
    },
    "transformIgnorePatterns": [
      "/node_modules/"
    ],
    "moduleNameMapper": {
      "^react-native$": "react-native-web"
    },
    "moduleFileExtensions": [
      "web.js",
      "js",
      "json",
      "web.jsx",
      "jsx",
      "node",
      "mjs"
    ],
    "modulePaths": [
      "src"
    ]
  },
  "eslintConfig": {
    "extends": "react-app",
    "settings": {
      "react": {
        "version": "16.4.0"
      }
    },
    "rules": {
      "indent": [
        2,
        2,
        {
          "SwitchCase": 1
        }
      ],
      "linebreak-style": [
        "error",
        "windows"
      ],
      "quotes": [
        "error",
        "single",
        {
          "allowTemplateLiterals": true
        }
      ],
      "semi": [
        "error",
        "never"
      ],
      "comma-dangle": [
        "error",
        "always-multiline"
      ],
      "no-useless-escape": "off",
      "jsx-a11y/href-no-hash": "off",
      "jsx-a11y/anchor-is-valid": [
        "warn",
        {
          "aspects": [
            "invalidHref"
          ]
        }
      ]
    }
  }
}
